# NOTE: Do not edit, file was generated by jhconvert

Name: sugar
Version: 0.84.5
Release: alt1
Summary: Sugar window manager
License: GPL/LGPL
Group: Graphical desktop/Sugar
Url: http://sugarlabs.org/
Packager: Sugar Development Team <sugar@packages.altlinux.org>

Source: http://download.sugarlabs.org/sources/sucrose/glucose/sugar/sugar-0.84.5.tar.bz2

Patch: sugar-0.84.5-sugar-start-script.patch

Requires: sugar-artwork >= 0.84.1
Requires: dbus  
Requires: dbus-tools-gui  
Requires: libGConf  
Requires: gst-plugins-base  
Requires: python-module-gst  
Requires: libgtk+2  
Requires: hal  
Requires: python-module-pygnome-desktop  
Requires: matchbox-window-manager  
Requires: python-module-numpy  
Requires: openssh  
Requires: python-module-pygtk  
Requires: python-module-pygtksourceview  
Requires: python  
Requires: python-module-cjson  
Requires: sugar-toolkit >= 0.84.4
Requires: xdpyinfo  

BuildPreReq: perl-XML-Parser  
BuildPreReq: libGConf-devel  
BuildPreReq: gettext  
BuildPreReq: libgtk+2-devel  
BuildPreReq: intltool >= 0.33
BuildPreReq: python-module-pygtk-devel  
BuildPreReq: python-devel  

%description
This package contains the base modules for Sugar.
Sugar is a graphical user interface aimed at children which promotes sharing
and collaborative learning. It was introduced on the One Laptop Per Child
(OLPC) XO laptop but is useful on other devices as well.

%package emulator
Summary: The emulator for the Sugar Desktop Environment
Group: Graphical desktop/Sugar
Requires: %{name} = %{version}-%{release}
Requires: xorg-xephyr
%description emulator
This package contains the Sugar emulator. It is using Xephyr
to run a Sugar environment similar to what is on the XO laptop. 

%prep
%setup -v -n sugar-0.84.5
%patch -p1

%build
%configure  \
	am_cv_python_pythondir=%{python_sitelibdir}
%make_build 

%install
%make_install  \
	DESTDIR=%{buildroot} \
	install
%find_lang sugar

install -d -m 0755 %{buildroot}/%{_sysconfdir}/X11/wmsession.d/
cat <<__EOF__ > %{buildroot}/%{_sysconfdir}/X11/wmsession.d/08sugar
NAME=Sugar
ICON=%{_datadir}/sugar/data/icons/module-about_me.svg
DESC=Sugar window manager
EXEC=%{_bindir}/sugar
SCRIPT:
exec %{_bindir}/sugar
__EOF__

%files -f sugar.lang
%config %{_sysconfdir}/X11/wmsession.d/*
%config %{_sysconfdir}/dbus*/system.d/*
%{_datadir}/xsessions/*
%{_bindir}/*
%exclude %{_bindir}/sugar-emulator
%{_datadir}/mime/packages/*
%{_datadir}/sugar/*
%config %{_sysconfdir}/gconf/schemas/*
%{python_sitelibdir}/*

%files emulator
%{_bindir}/sugar-emulator

%post
%gconf2_install %name

%preun
%gconf2_uninstall %name

%changelog
* Tue Apr 28 2009 Aleksey Lim <alsroot@altlinux.org> 0.84.5-alt1
- update Sucrose to 0.84.2 version

* Wed Mar 18 2009 Aleksey Lim <alsroot@altlinux.org> 0.84.0-alt1
- update Sucrose to 0.84.0 version

* Sun Feb 15 2009 Aleksey Lim <alsroot@altlinux.org> 0.83.7-alt1
- new Sucrose 0.83.5 release

* Wed Jan 21 2009 Aleksey Lim <alsroot@altlinux.org> 0.83.5-alt2
- update gconf schemas

* Tue Jan 20 2009 Aleksey Lim <alsroot@altlinux.org> 0.83.5-alt1
- new Sucrose 0.83.4 release

* Tue Dec 23 2008 Aleksey Lim <alsroot@altlinux.org> 0.83.4-alt1
- new upstream release

* Tue Dec 16 2008 Aleksey Lim <alsroot@altlinux.org> 0.83.3-alt2
- altlinux #18214 fix
- setup TZ before sugar startup
- use sugar-72 theme by default
- use python-module-pygtk package instead of pygtk2
- sugar #81 fix
- hide OLPC register button
- olpc #8141 fix

* Sat Dec 13 2008 Aleksey Lim <alsroot@altlinux.org> 0.83.3-alt1
- Sugar 0.84 release cycle

* Sun Nov 23 2008 Aleksey Lim <alsroot@altlinux.org> 0.82.2-alt2
- change group tag to "Graphical desktop/Sugar"
- make all links to child packages hard

* Tue Nov 18 2008 Aleksey Lim <alsroot@altlinux.org> 0.82.2-alt1
- first build for ALT Linux Sisyphus
